Aspect is a universal grammatical notion relating to the particular status of an action or event. When we speak of an action, we may view it as a process consisting of a series of phases, including the beginning, continuation, repetition, completion, etc. Each of these phases is an aspect which may be selected for emphasis in conversation.

For example, the aspectual emphases of the following two English sentences are different:
1. *I was eating lunch* when he called.
2. *I had already eaten lunch* when he called.
In (1) the progression of the eating process is emphasised, whereas in (2) the completion is.

Regardless of when the action occurred, it may always be characterised with an emphasis on one of its aspects. The following sentences show the progressive aspect appearing in all three tenses in English:
1. Past: "What were you doing yesterday when he called?"
2. Present: "What are you doing now?"
3. Future: "What will you be doing this time tomorrow morning?"